/**
 * Die Klasse MessApp steuert einen Messablauf, um die Performance des
 * Zufallszahlengenerators zu messen.
 */
public class MessApp {
  private Messkonduktor messkonduktor;
  int[][] messreihen;
  int[] mittelwerteMessreihen;
  int[] mittelwerteMessungen;
  int anzahlMessreihen = 10;
  int anzahlWerteMessreihe = 20;


  /**
   * Fuehrt eine Messung durch.
   */
  public void messen() {
    initialisieren();
    analyseDurchfuehren();
    berechneUndDruckeMittelwerteMessreihe();
    berechneUndDruckeMittelwerteMessung();
  }

  private void initialisieren() {
    // TODO Objektsammlung und Messkonduktor erzeugen
    messkonduktor = new Messkonduktor(400000);
    messreihen = new int[anzahlMessreihen][anzahlWerteMessreihe];
  }

  private void analyseDurchfuehren() {
    // TODO Benutzen Sie 'messkonduktor' um die Messungen
    // durchzufuehren und in der Objektsammlung zu speichern.
    for(int[] messreihe : messreihen) {
      messreihe = messkonduktor.messungenDurchfuehren(messreihe);
    }
  }

  private void berechneUndDruckeMittelwerteMessreihe() {
    // TODO Implementieren Sie die Methode.
    mittelwerteMessreihen = new int[anzahlMessreihen];
    for(int messreihe = 0; messreihe < anzahlMessreihen; messreihe ++) {
      int summe = 0;
      for(int messwert : messreihen[messreihe]) {
        summe += messwert;
      }
      mittelwerteMessreihen[messreihe] = summe/anzahlWerteMessreihe;
      System.out.println("Mittelwert Messreihe " + messreihe + ": " + mittelwerteMessreihen[messreihe]);
    }
  }

  private void berechneUndDruckeMittelwerteMessung() {
    // TODO Implementieren Sie die Methode.
    mittelwerteMessungen = new int[anzahlWerteMessreihe];
    for(int messung = 0; messung < anzahlWerteMessreihe; messung ++) {
      int summe = 0;
      for(int[] messreihe : messreihen) {
        summe += messreihe[messung];
      }
      mittelwerteMessungen[messung] = summe/anzahlMessreihen;
      System.out.println("Mittelwert Messwert " + messung + ": " + mittelwerteMessungen[messung]);
    }

  }
}